/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : doc-transform-platform

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2022-09-29 11:35:46
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mortals_xhx_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_area`;
CREATE TABLE `mortals_xhx_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,自增长',
  `parentId` bigint(20) DEFAULT NULL COMMENT '上级区域ID',
  `name` varchar(100) DEFAULT NULL COMMENT '区域名称',
  `level` tinyint(4) DEFAULT NULL COMMENT '区域级别，按所处树的节点层次',
  `code` varchar(20) DEFAULT NULL COMMENT '区域编码，按全国省市编码',
  `contactsPeople` varchar(50) DEFAULT NULL COMMENT '区域负责人',
  `contactsMobile` varchar(21) DEFAULT NULL COMMENT '区域负责人电话',
  `childSize` int(11) DEFAULT '0' COMMENT '子区域数量，默认0',
  `maxChildId` int(11) DEFAULT '0' COMMENT '子区域的最大ID，默认0',
  `status` tinyint(4) DEFAULT '1' COMMENT '状态，0停用，1启用',
  `remark` varchar(200) DEFAULT NULL COMMENT '描述',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户ID',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='区域信息';

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) unsigned NOT NULL COMMENT 'id值',
  `remark` varchar(100) NOT NULL COMMENT '备注',
  `versionNum` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '版本号，默认0',
  `gmtModify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='主键Id生成器';

-- ----------------------------
-- Table structure for mortals_xhx_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_matter`;
CREATE TABLE `mortals_xhx_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `tid` varchar(128) DEFAULT NULL COMMENT '从政务系统来的事项id',
  `tcode` varchar(128) DEFAULT NULL COMMENT '从政务系统来的事项code',
  `tname` varchar(255) DEFAULT NULL COMMENT '从政务系统来的事项name',
  `matterName` varchar(64) DEFAULT NULL COMMENT '事项名称',
  `englishName` varchar(256) DEFAULT NULL COMMENT '英语事项名',
  `matterNo` varchar(64) DEFAULT NULL COMMENT '事项编号',
  `matterFullName` varchar(64) DEFAULT NULL COMMENT '事项全称',
  `deptId` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `total` int(8) DEFAULT NULL COMMENT '填单次数',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `isRecommend` tinyint(2) DEFAULT NULL COMMENT '是否推荐(0.未推荐，1.推荐)',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项申请材料';

-- ----------------------------
-- Table structure for mortals_xhx_matter_datum
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_matter_datum`;
CREATE TABLE `mortals_xhx_matter_datum` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项matter id',
  `materialName` varchar(1024) NOT NULL COMMENT '材料名',
  `materiaFullName` varchar(1024) NOT NULL COMMENT '材料全名',
  `source` tinyint(2) DEFAULT NULL COMMENT '事项来源(0.政务网，1.自定义)',
  `isRecommend` tinyint(2) DEFAULT NULL COMMENT '是否推荐(0.未推荐，1.推荐)',
  `total` int(8) DEFAULT NULL COMMENT '填单次数',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `fileName` varchar(255) DEFAULT NULL COMMENT '填单的附件名称',
  `fileUrl` varchar(255) DEFAULT NULL COMMENT '填单的附件下载地址',
  `samplePath` varchar(255) DEFAULT NULL COMMENT '样表地址',
  `templatePath` varchar(255) DEFAULT NULL COMMENT '模板地址',
  `preViewPath` varchar(255) DEFAULT NULL COMMENT '样表预览地址',
  `formContent` mediumtext COMMENT '表单内容',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='事项申请材料';

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) DEFAULT '1' COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) DEFAULT '0' COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) DEFAULT '1' COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) DEFAULT NULL,
  `imgPath` varchar(128) DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) DEFAULT '0' COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) DEFAULT '0' COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9135 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='菜单信息';

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=12276 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='操作日志';

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) DEFAULT '1' COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) DEFAULT '4' COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) DEFAULT '0' COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1815 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='参数信息';

-- ----------------------------
-- Table structure for mortals_xhx_platform
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_platform`;
CREATE TABLE `mortals_xhx_platform` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '名称',
  `platformSn` varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '业务系统标识，唯一',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '系统备注',
  `callbackUrl` varchar(255) DEFAULT NULL COMMENT '申报表单提交地址',
  `redirectUrl` varchar(255) DEFAULT NULL COMMENT '成功后页面跳转地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `sn_unique_index` (`platformSn`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='平台用户';

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) DEFAULT '3' COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) DEFAULT '0' COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=150025 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='资源信息';

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) DEFAULT '2' COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色信息';

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色资源权限';

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='角色用户';

-- ----------------------------
-- Table structure for mortals_xhx_sheet_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sheet_matter`;
CREATE TABLE `mortals_xhx_sheet_matter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `tid` varchar(128) DEFAULT NULL COMMENT '从政务系统来的事项id',
  `tcode` varchar(128) DEFAULT NULL COMMENT '从政务系统来的事项code',
  `tname` varchar(255) DEFAULT NULL COMMENT '从政务系统来的事项name',
  `matterName` varchar(64) DEFAULT NULL COMMENT '事项名称',
  `englishName` varchar(256) DEFAULT NULL COMMENT '英语事项名',
  `matterNo` varchar(64) DEFAULT NULL COMMENT '事项编号',
  `appoveObjectShow` varchar(16) DEFAULT NULL COMMENT '服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）',
  `operatScopeShow` varchar(64) DEFAULT NULL COMMENT '通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）',
  `appoveTimeLimitShow` varchar(16) DEFAULT NULL COMMENT '办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）',
  `handleType` varchar(12) DEFAULT NULL COMMENT '办理形式（1.窗口办理，2.网上办理）',
  `legalTimeLimitShow` varchar(32) DEFAULT NULL COMMENT '法定办结时限',
  `legalEndExplain` varchar(255) DEFAULT NULL COMMENT '法定时限办结说明',
  `promiseTimeLimitShow` varchar(32) DEFAULT NULL COMMENT '承诺办结时限',
  `promiseEndExplain` varchar(255) DEFAULT NULL COMMENT '承诺时限办结说明',
  `isChargesShow` varchar(16) DEFAULT NULL COMMENT '是否收费（0.否，1.是）',
  `certificationLevelsShow` varchar(64) DEFAULT NULL COMMENT '认证等级需求（1.实名认证，2.单次面签，3.每次面签）',
  `planTakeTime` datetime DEFAULT NULL COMMENT '计划生效日期',
  `promiseTakeTime` datetime DEFAULT NULL COMMENT '承诺生效日期',
  `specialProcedure` varchar(64) DEFAULT NULL COMMENT '特别程序',
  `windowToTheSceneNum` tinyint(2) DEFAULT NULL COMMENT '窗口到现场次数',
  `isOnlineSubscribeShow` varchar(64) DEFAULT NULL COMMENT '是否网上预约,窗口办理选（0.否，1.是）',
  `isExpressTakeShow` varchar(16) DEFAULT NULL COMMENT '物流快递,窗口办理选（0.否，1.是）',
  `isProvinceAcquisitionShow` varchar(16) DEFAULT NULL COMMENT '是否支持全省范围就近取件（0.否，1.是）',
  `isApplyProvinceShow` varchar(16) DEFAULT NULL COMMENT '是否支持全省范围就近办理（0.否，1.是）',
  `mustSceneExplain` varchar(512) DEFAULT NULL COMMENT '必须到现场原因',
  `onlineType` varchar(32) DEFAULT NULL COMMENT '网办类型（1.原件预审，2.原件核验，3.全程网办）',
  `onlineToTheSceneNum` tinyint(2) DEFAULT NULL COMMENT '网办到现场次数',
  `onlineOperatDeep` varchar(16) DEFAULT NULL COMMENT '网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）',
  `isExpressTakeOnlineShow` varchar(16) DEFAULT NULL COMMENT '物流快递，网上办理选（0.否，1.是）',
  `isDoorTakeShow` varchar(16) DEFAULT NULL COMMENT '是否支持上门收取申请（0.否，1.是）',
  `onlineMustSceneExplain` varchar(512) DEFAULT NULL COMMENT '网上必须到现场原因',
  `performDeptType` varchar(64) DEFAULT NULL COMMENT '实施主体',
  `matterEdition` varchar(32) DEFAULT NULL COMMENT '事项版本',
  `eventTypeShow` varchar(128) DEFAULT NULL COMMENT '事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）',
  `performHierarchyShow` varchar(128) DEFAULT NULL COMMENT '行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）',
  `powerSourceShow` varchar(64) DEFAULT NULL COMMENT '权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）',
  `performDeptTypeShow` varchar(64) DEFAULT NULL COMMENT '实施主体性质（1.法定机关，2.授权组织，3.受委托组织）',
  `goveServiceCenterShow` varchar(16) DEFAULT NULL COMMENT '是否进驻中心（0.否，1.是）',
  `isConvenientCenterShow` varchar(16) DEFAULT NULL COMMENT '是否纳入便民服务中心（0.否，1.是）',
  `terminalHandle` tinyint(2) DEFAULT NULL COMMENT '自助终端办理 （0.否，1.是）',
  `isOnline` tinyint(2) DEFAULT NULL COMMENT '是否网办 （0.否，1.是）',
  `isOnlinePayShow` varchar(16) DEFAULT NULL COMMENT '支持网上支付（0.否，1.是）',
  `entrustmentDepartmen` varchar(64) DEFAULT NULL COMMENT '委托部门（0.否，1.是）',
  `jointInfoShow` varchar(128) DEFAULT NULL COMMENT '联办机构',
  `matterStatus` varchar(32) DEFAULT NULL COMMENT '事项状态（0.停用，1.在用）',
  `numberLimit` int(11) DEFAULT NULL COMMENT '数量限制',
  `type` varchar(32) DEFAULT NULL COMMENT '主题类型（1.法定机关，2.授权组织，3.受委托组织）',
  `baseCode` varchar(128) DEFAULT NULL COMMENT '基本编码',
  `implementCode` varchar(128) DEFAULT NULL COMMENT '实施编码',
  `implementBodyCode` varchar(128) DEFAULT NULL COMMENT '实施主体编码',
  `operateItemCode` varchar(128) DEFAULT NULL COMMENT '办理项编码',
  `townshipName` varchar(128) DEFAULT NULL COMMENT '乡镇街道名称',
  `townshipCode` varchar(128) DEFAULT NULL COMMENT '乡镇街道代码',
  `villageName` varchar(128) DEFAULT NULL COMMENT '村居社区名称',
  `villageCode` varchar(128) DEFAULT NULL COMMENT '村居社区代码',
  `operateTime` varchar(128) DEFAULT NULL COMMENT '办理时间',
  `operateSite` varchar(128) DEFAULT NULL COMMENT '办理地点',
  `cousultingShow` varchar(64) DEFAULT NULL COMMENT '咨询方式',
  `cousultingTelephoneShow` varchar(64) DEFAULT NULL COMMENT '咨询电话',
  `superviseShow` varchar(64) DEFAULT NULL COMMENT '监督方式',
  `mattertype` int(1) DEFAULT NULL COMMENT '是否样表展示（0.否，1.是）',
  `deptCode` varchar(128) DEFAULT NULL COMMENT '部门编号',
  `dirListCode` varchar(128) DEFAULT NULL COMMENT '目录清单编码',
  `runSystemShow` varchar(128) DEFAULT NULL COMMENT '运行系统名称',
  `jointReviewInfoShow` varchar(128) DEFAULT NULL COMMENT '联审信息',
  `doThingTypeShow` varchar(32) DEFAULT NULL COMMENT '办理类型',
  `pubTimeShow` varchar(64) DEFAULT NULL COMMENT '公示时限',
  `supervisoryTelephoneShow` varchar(64) DEFAULT NULL COMMENT '投诉电话',
  `handleTimeShow` varchar(64) DEFAULT NULL COMMENT '办公时间',
  `handlePlaceShow` varchar(128) DEFAULT NULL COMMENT '办公地址',
  `daysTypeShow` varchar(16) DEFAULT NULL COMMENT '节日类型',
  `tradeShow` varchar(64) DEFAULT NULL COMMENT '行业',
  `eventSourceShow` varchar(64) DEFAULT NULL COMMENT '事项来源',
  `applyresultTypeShow` varchar(64) DEFAULT NULL COMMENT '审批结果类型',
  `typeOfReview` varchar(255) DEFAULT NULL COMMENT '审查类型',
  `enforcement` varchar(64) DEFAULT NULL COMMENT '实施机构',
  `serviceClassification` varchar(128) DEFAULT NULL COMMENT '服务主题分类',
  `licenseNumber` varchar(64) DEFAULT NULL COMMENT '许可数量',
  `number` int(5) DEFAULT NULL COMMENT '办事者到办理现场次数',
  `inquire` varchar(255) DEFAULT NULL COMMENT '办理查询',
  `handlingresultNames` varchar(255) DEFAULT NULL COMMENT '办理结果名称',
  `sampleApprovalResults` varchar(255) DEFAULT NULL COMMENT '审批结果样本',
  `performDeptName` varchar(255) DEFAULT NULL COMMENT '实施主题',
  `html` varchar(128) DEFAULT NULL COMMENT 'html存储地址',
  `eventType` char(5) DEFAULT NULL COMMENT '全债清单类型',
  `shardKey` int(11) DEFAULT NULL,
  `parson` tinyint(1) DEFAULT NULL COMMENT '个人1',
  `lengal` tinyint(1) DEFAULT NULL COMMENT '法人 1',
  `materialRemark` text COMMENT '总材料说明',
  `codeurl` varchar(128) DEFAULT NULL COMMENT '事项二维码',
  `applyObject` varchar(64) DEFAULT NULL COMMENT '行使方式',
  `isUniteAccept` varchar(64) DEFAULT NULL COMMENT '统一受理模式',
  `sort` int(4) DEFAULT NULL COMMENT '排序',
  `isRecommend` tinyint(2) DEFAULT NULL COMMENT '是否推荐(0.未推荐，1.推荐)',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基础事项';

-- ----------------------------
-- Table structure for mortals_xhx_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_site`;
CREATE TABLE `mortals_xhx_site` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `siteName` varchar(64) NOT NULL COMMENT '站点名',
  `parentId` bigint(11) NOT NULL COMMENT '父级id',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `address` varchar(255) NOT NULL COMMENT '地址',
  `mobile` varchar(32) NOT NULL COMMENT '电话',
  `introduce` text NOT NULL COMMENT '单位介绍',
  `workday1` tinyint(1) DEFAULT NULL COMMENT '周一 1上班 0不上',
  `workday2` tinyint(1) DEFAULT NULL COMMENT '周二 1上班 0不上',
  `workday3` tinyint(1) DEFAULT NULL COMMENT '周三 1上班 0不上',
  `workday4` tinyint(1) DEFAULT NULL COMMENT '周四 1上班 0不上',
  `workday5` tinyint(1) DEFAULT NULL COMMENT '周五 1上班 0不上',
  `workday6` tinyint(1) DEFAULT NULL COMMENT '周六 1上班 0不上',
  `workday7` tinyint(1) DEFAULT NULL COMMENT '周日 1上班 0不上',
  `number` varchar(32) NOT NULL COMMENT '站点编号',
  `summary` text NOT NULL COMMENT '中心介绍',
  `orderNum` int(9) DEFAULT '0' COMMENT '排序字段',
  `status` tinyint(2) DEFAULT '1' COMMENT '站点状态 ，0，停用，1，正常 默认1',
  `updateTime` datetime DEFAULT NULL COMMENT '变更时间',
  `updateUser` varchar(50) DEFAULT NULL COMMENT '变更用户loginName',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createUser` varchar(50) NOT NULL COMMENT '创建用户loginName',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='站点信息表';

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) DEFAULT NULL COMMENT '表标识',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='分表索引信息';

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) DEFAULT '0' COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text COMMENT '任务执行参数',
  `excuteHost` varchar(200) DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) DEFAULT '1' COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) DEFAULT '0' COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) DEFAULT '0' COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='任务信息';

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='上传文件';

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginPwd1` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近一次使用密码，使用md5双次加密',
  `loginPwd2` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近二次使用密码，使用md5双次加密',
  `loginPwd3` varchar(128) CHARACTER SET utf8 DEFAULT NULL COMMENT '最近三次使用密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:普通用户 2:工作人员，默认2',
  `siteId` bigint(20) DEFAULT '0' COMMENT '站点id',
  `status` tinyint(2) DEFAULT '1' COMMENT '用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1',
  `customerId` bigint(20) DEFAULT NULL COMMENT '客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后一次登录地址',
  `lastModPwdTime` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `lastModPwdAddr` varchar(21) CHARACTER SET utf8 DEFAULT NULL COMMENT '最后修改密码地址',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `idx_loginName` (`loginName`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=ujis ROW_FORMAT=DYNAMIC COMMENT='用户信息';

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) DEFAULT '0' COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=330 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='验证码信息';
